export interface SizeChunk {
    b: number;
    kb: number;
    Mb: number;
    Gb: number;
    Tb: number;
    Pb: number;
    Eb: number;
}
export declare const SizeChunks: (keyof SizeChunk)[];
type _SizeArg = Partial<SizeChunk> | string | number;
export type SizeArg = _SizeArg | Size;
export declare class Size {
    readonly bytes: number;
    readonly chunk: SizeChunk;
    static from(size: SizeArg): Size;
    constructor(size: _SizeArg);
}
export declare function isSize(fs: SizeArg): fs is Size;
export declare function chunkToBytes(chunk: Partial<SizeChunk>): number;
export declare function parse(str: string): SizeChunk;
export declare function normalizeChunk(chunk: Partial<SizeChunk> | number): SizeChunk;
export {};
